# Subscription | @supabase/supabase-js
Documentation for @supabase/supabase-js

### Hierarchy

- Subscription

## Index

### Properties

- id

### Methods

- callback
- unsubscribe

## Properties

### id

id: string

- Defined in node_modules/@supabase/gotrue-js/dist/module/lib/types.d.ts:121

The subscriber UUID. This will be set by the client.

## Methods

### callback

- callback(event: AuthChangeEvent, session: null | AuthSession ): void

- - Defined in node_modules/@supabase/gotrue-js/dist/module/lib/types.d.ts:125

  The function to call every time there is an event. eg: (eventName) => {}

  #### Parameters

  - ##### event: AuthChangeEvent

  - ##### session: null | AuthSession

  #### Returns void

### unsubscribe

- unsubscribe(): void

- - Defined in node_modules/@supabase/gotrue-js/dist/module/lib/types.d.ts:129

  Call this to remove the listener.

  #### Returns void

Generated using TypeDoc